//// Drivers ////


// PhysX
for (var i = 0; i < buttonCount; i++) {
	if (((button_div[i]=='driver_available')||(button_div[i]=='driver_new')||(button_div[i]=='driver_uptodate'))
			&& (button_pack_desc[i]==synonym_video_nvidia)
			&& (button_dev_name[i].toUpperCase().indexOf('NVIDIA') != -1)){
		
		prog[pn]='NVIDIA PhysX';
		version[pn]='9.17.0524';
		cat[pn]=startpack_Drivers;
		cmd1[pn]='PhysX.exe';
		cmd2[pn]='';
		if (is64){
			check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{8B922CF8-8A6C-41CE-A858-F1755D7F5D29}\\DisplayName';
		} else {
			check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{8B922CF8-8A6C-41CE-A858-F1755D7F5D29}\\DisplayName';
		}
		defaul[pn]=true;
		wshow[pn]=false;
		onCompleteInst[pn]='defaul['+pn+']=false;';
		pn++;
		
		break;
	}
}




//// System ////


// DirectX
prog[pn]='DirectX';
version[pn]='9.0c June 2010';
cat[pn]=startpack_Needs;
cmd1[pn]='DirectX.exe';
cmd2[pn]='';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\.NETFramework\\AssemblyFolders\\DX_1.0.2911.0\\';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\.NETFramework\\AssemblyFolders\\DX_1.0.2911.0\\';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// SAM CoDeC Pack
prog[pn]='Codec Pack';
version[pn]='6.12';
cat[pn]=startpack_Needs;
cmd1[pn]='SAMCoDeCs.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKEY_CURRENT_USER\\Software\\SamLab.ws\\SAM CoDeC Pack\\Install_Dir';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\SAM CoDeC Pack\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// AOMEI Backupper
prog[pn]='AOMEI Backupper';
version[pn]='4.0.1';
cat[pn]=startpack_Needs;
cmd1[pn]='Backupper.exe';
cmd2[pn]='/VERYSILENT /NORESTART /SUPPRESSMSGBOXES';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{A83692F5-3E9B-4E95-9E7E-B5DF5536C09F}_is1\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{A83692F5-3E9B-4E95-9E7E-B5DF5536C09D}_is1\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// Flash Player
prog[pn]='Flash Player';
version[pn]='32.0.0.321';
cat[pn]=startpack_Needs;
cmd1[pn]='FlashPlayer.exe';
cmd2[pn]='-y -gm2 -fm0';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\MozillaPlugins\\@adobe.com/FlashPlayer\\Description';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Adobe Flash Player ActiveX\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;



// RuntimePack
prog[pn]=(rusLang?'Библиотеки Windows':'System Libraries');
version[pn]='17.3.14';
cat[pn]=startpack_Needs;
cmd1[pn]='RuntimePack.exe';
cmd2[pn]='-y -gm2 -fm0';
if (is64){
	check[pn]='HKEY_CURRENT_USER\\Software\\SamLab.ws\\RuntimePack\\Version';
} else {
	check[pn]='HKEY_CURRENT_USER\\Software\\SamLab.ws\\RuntimePack\\Version';
}
defaul[pn]=true;
wshow[pn]=false;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// Visual C++
prog[pn]='Microsoft Visual C++';
version[pn]='2005-2017';
cat[pn]=startpack_Needs;
cmd1[pn]='VisualCplus.exe';
cmd2[pn]='';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{F0C3E5D1-1ADE-321E-8167-68EF0DE699A5}\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{F0C3E5D1-1ADE-321E-8167-68EF0DE699A5}\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
prog_timeout[pn]=300
pn++;


// .Net Framework XP
if (OSVersion == 5.1) {
prog[pn]='.Net Framework для XP';
version[pn]='4.8';
cat[pn]=startpack_Needs;
cmd1[pn]='DotNet.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKCU\\Software\\DRP\\.NET Framework\\NT-Version';
} else {
	check[pn]='HKCU\\Software\\DRP\\.NET Framework\\NT-Version';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;
} else {


// .Net Framework
prog[pn]='.Net Framework';
version[pn]='4.7.2';
cat[pn]=startpack_Needs;
cmd1[pn]='DotNetXP.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKCU\\Software\\DRP\\.NET Framework\\XP-Version';
} else {
	check[pn]='HKCU\\Software\\DRP\\.NET Framework\\XP-Version';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;
}



// Java
prog[pn]='Java Runtime';
version[pn]='8.0.181';
cat[pn]=startpack_Needs;
cmd1[pn]='Java.exe';
cmd2[pn]='';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{26A24AE4-039D-4CA4-87B4-2F83218074F0}\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{26A24AE4-039D-4CA4-87B4-2F83218074F0}\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;



//// Browsers ////


// Internet Explorer 8 для Windows XP
if (OSVersion == 5.1) {
prog[pn]='Internet Explorer 8';
version[pn]='8.0.7600.16385';
cat[pn]=startpack_Browsers;
cmd1[pn]='Browser/IE8-XPx86.exe';
cmd2[pn]='/Q';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\ie8\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\ie8\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;
}


// Internet Explorer 10 для Windows 7
if (OSVersion == 6.1) {
prog[pn]='Internet Explorer 10';
version[pn]='10.0.9200.16438';
cat[pn]=startpack_Browsers;
cmd1[pn]='Browser/IE10-7x'+(is64?'64':'86')+'.exe';
cmd2[pn]='/Q';
if (is64){
check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{B1DDC387-5E2C-4CF4-BD8B-05B65E987B0C}\\DisplayName';
} else {
check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{B1DDC387-5E2C-4CF4-BD8B-05B65E987B0C}\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;
}


// ChromeXP
if (OSVersion == 5.1) {
prog[pn]='Google Chrome для XP';
version[pn]='49.0.2623.112';
cat[pn]=startpack_Browsers;
cmd1[pn]='Browser/ChromeXP.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Google Chrome\\DisplayName';
} else {
	check[pn]='HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Google Chrome\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;
} else {


// Chrome
prog[pn]='Google Chrome';
version[pn]='51.0.2704.84';
cat[pn]=startpack_Browsers;
cmd1[pn]='Browser/Chrome.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Google Chrome\\DisplayName';
} else {
	check[pn]='HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Google Chrome\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;
}


// SlimJet
prog[pn]='SlimJet (Chrome)';
version[pn]='25.0.2';
cat[pn]=startpack_Browsers;
cmd1[pn]='Browser/SlimJet.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Slimjet\\DisplayName';
} else {
	check[pn]='HKLM\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Slimjet\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


if (rusLang) {

	// Firefox
	prog[pn]='Mozilla Firefox';
	version[pn]='71.0';
	cat[pn]=startpack_Browsers;
	cmd1[pn]='Browser/Firefox.exe';
	cmd2[pn]='-ms -ira';
	if (is64){
		check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Mozilla Firefox 71.0 (x86 ru)\\DisplayName';
	} else {
		check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Mozilla Firefox 71.0 (x86 ru)\\DisplayName';
	}
	defaul[pn]=true;
	wshow[pn]=true;
	onCompleteInst[pn]='defaul['+pn+']=false;';
	pn++;

}
else {
}


// OperaXP
if (OSVersion == 5.1) {
prog[pn]='Opera для XP';
version[pn]='35.0.2066.37';
cat[pn]=startpack_Browsers;
cmd1[pn]='Browser/OperaXP.exe';
cmd2[pn]='-install -silent -launchopera=1 -setdefaultbrowser=1';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Opera 35.0.2066.37\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Opera 35.0.2066.37\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;
} else {

// Opera
prog[pn]='Opera';
version[pn]='66.0.3515.60';
cat[pn]=startpack_Browsers;
cmd1[pn]='Browser/OperaBlink.exe';
cmd2[pn]='-install -silent -launchopera=1 -setdefaultbrowser=1';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Opera 66.0.3515.60\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Opera 66.0.3515.60\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;
}




//// Files ////


// 7-Zip
prog[pn]='7-Zip';
version[pn]='19.02';
cat[pn]=startpack_Files;
cmd1[pn]='Files/7-Zip.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKEY_LOCAL_MACHINE\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\7-Zip\\DisplayName';
} else {
	check[pn]='HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\7-Zip\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// BurnAware
prog[pn]='BurnAware';
version[pn]='8.7';
cat[pn]=startpack_Files;
cmd1[pn]='Files/BurnAware.exe';
cmd2[pn]='-y -fm0';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\BurnAware Free\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\BurnAware Free\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// CDBurnerXP
prog[pn]='CDBurnerXP';
version[pn]='4.5.8.7128';
cat[pn]=startpack_Files;
cmd1[pn]='Files/CDBurnerXP.exe';
cmd2[pn]='/VERYSILENT /NORESTART';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{7E265513-8CDA-4631-B696-F40D983F3B07}_is1\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{7E265513-8CDA-4631-B696-F40D983F3B07}_is1\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// HaoZip
prog[pn]='HaoZip';
version[pn]='5.5.1.10498';
cat[pn]=startpack_Files;
cmd1[pn]='Files/HaoZip.exe';
cmd2[pn]='/VERYSILENT /NORESTART';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\HaoZip_is1\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\HaoZip_is1\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


if (lang=='pt') {
	// WinRAR
	prog[pn]='WinRAR';
	version[pn]='5.50';
	cat[pn]=startpack_Files;
	cmd1[pn]='Browser/WinRARx86Br.exe';
	cmd2[pn]='/S';
	if (is64){
		check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\WinRAR archiver\\DisplayName';
	} else {
		check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\WinRAR archiver\\DisplayName';
	}
	defaul[pn]=true;
	wshow[pn]=true;
	onCompleteInst[pn]='defaul['+pn+']=false;';
	pn++;
	}
else if (rusLang) {
	// WinRAR
	prog[pn]='WinRAR';
	version[pn]='5.50';
	cat[pn]=startpack_Files;
	cmd1[pn]='Files/WinRARx86Rus.exe';
	cmd2[pn]='/S';
	if (is64){
		check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\WinRAR archiver\\DisplayName';
	} else {
		check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\WinRAR archiver\\DisplayName';
	}
	defaul[pn]=true;
	wshow[pn]=true;
	onCompleteInst[pn]='defaul['+pn+']=false;';
	pn++;
	}
else {
	// WinRAR
	prog[pn]='WinRAR';
	version[pn]='5.50';
	cat[pn]=startpack_Files;
	cmd1[pn]='Files/WinRARx86Eng.exe';
	cmd2[pn]='/S';
	if (is64){
		check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\WinRAR archiver\\DisplayName';
	} else {
		check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\WinRAR archiver\\DisplayName';
	}
	defaul[pn]=true;
	wshow[pn]=true;
	onCompleteInst[pn]='defaul['+pn+']=false;';
	pn++;
	}




//// Viewers ////


// Foxit PDF Reader
prog[pn]='Foxit PDF Reader';
version[pn]='9.6.0.25114';
cat[pn]=startpack_Viewers;
cmd1[pn]='Viewer/FoxitReader.exe';
cmd2[pn]='-y -gm2 -fm0';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Foxit Reader_is1\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\Foxit Reader_is1\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// FastStone Image Viewer
prog[pn]='FS Image Viewer';
version[pn]='7.4';
cat[pn]=startpack_Viewers;
cmd1[pn]='Viewer/FSImage.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FastStone Image Viewer\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FastStone Image Viewer\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;



//// Players ////


// AIMP
prog[pn]='AIMP';
version[pn]='4.60.2170';
cat[pn]=startpack_Players;
cmd1[pn]='Player/AIMP.exe';
cmd2[pn]='/AUTO="%PROGRAMFILES%\\AIMP"';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\AIMP\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\AIMP\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


if (rusLang) {
	// PotPlayer
	prog[pn]='PotPlayer';
	version[pn]='1.7.21091';
	cat[pn]=startpack_Players;
	cmd1[pn]='Player/PotPlayer.exe';
	if (OSVersion == 5.1){
	cmd2[pn]='/S /Video-1 /Audio-0 /Sub-1 /Lists-0 /Shortcut-1010110 /AutoPlayVideo-1 /AutoPlayAudio-0 /ImpIni';
	} else {
	cmd2[pn]='/S /Video-1 /Audio-0 /Sub-1 /Lists-0 /Shortcut-1010111 /AutoPlayVideo-1 /AutoPlayAudio-0 /ImpIni';
	}
	if (is64){
		check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\PotPlayer\\DisplayName';
	} else {
		check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\PotPlayer\\DisplayName';
	}
	defaul[pn]=true;
	wshow[pn]=true;
	onCompleteInst[pn]='defaul['+pn+']=false;';
	pn++;
	}

else {
	// PotPlayer
	prog[pn]='PotPlayer';
	version[pn]='1.7.21091';
	cat[pn]=startpack_Players;
	cmd1[pn]='Player/PotPlayer.exe';
	if (OSVersion == 5.1){
	cmd2[pn]='/S /Video-1 /Audio-0 /Sub-1 /Lists-0 /Shortcut-1011010 /AutoPlayVideo-1 /AutoPlayAudio-0 /ImpIni';
	} else {
	cmd2[pn]='/S /Video-1 /Audio-0 /Sub-1 /Lists-0 /Shortcut-1011011 /AutoPlayVideo-1 /AutoPlayAudio-0 /ImpIni';
	}
	if (is64){
		check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\PotPlayer\\DisplayName';
	} else {
		check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\PotPlayer\\DisplayName';
	}
	defaul[pn]=true;
	wshow[pn]=true;
	onCompleteInst[pn]='defaul['+pn+']=false;';
	pn++;
	}




//// Socials ////


// QIP 2012
prog[pn]='QIP';
version[pn]='4.0.9392';
cat[pn]=startpack_Socials;
cmd1[pn]='Socials/QIP2012.exe';
cmd2[pn]='/VERYSILENT /NORESTART /tasks=install,normal,iconpackplus';
if (is64){
	check[pn]='HKEY_CURRENT_USER\\Software\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\QIP 2012_is1\\DisplayName';
} else {
	check[pn]='HKEY_CURRENT_USER\\Software\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\QIP 2012_is1\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// Skype
if (OSVersion == 5.1) {
prog[pn]='Skype для XP';
version[pn]='7.36.0.101';
cat[pn]=startpack_Socials;
cmd1[pn]='Socials/SkypeXP.exe';
cmd2[pn]='/VERYSILENT /NOLAUNCH /NOGOOGLE /NOSTARTUP /NOPLUGINS';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{FC965A47-4839-40CA-B618-18F486F042C6}\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{FC965A47-4839-40CA-B618-18F486F042C6}\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;
} else {


// Skype
prog[pn]='Skype';
version[pn]='7.41.0.101';
cat[pn]=startpack_Socials;
cmd1[pn]='Socials/Skype.exe';
cmd2[pn]='/VERYSILENT /NOLAUNCH /NOGOOGLE /NOSTARTUP /NOPLUGINS';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{FC965A47-4839-40CA-B618-18F486F042C6}\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{FC965A47-4839-40CA-B618-18F486F042C6}\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;
}




//// Internet ////


// TeamViewer
prog[pn]='TeamViewer';
version[pn]='15.2.2756';
cat[pn]=startpack_Internet;
cmd1[pn]='WWW/TeamViewer.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeamViewer\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\TeamViewer\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// uTorrent
prog[pn]='uTorrent';
version[pn]='3.2.3.28705';
cat[pn]=startpack_Internet;
cmd1[pn]='WWW/uTorrent.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\uTorrent\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\uTorrent\\DisplayName';
}
defaul[pn]=true;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;



//// Antivirus ////

// 360ts
prog[pn]='360 Total Security';
version[pn]='10.6.0.1314';
cat[pn]=startpack_Antivirus;
cmd1[pn]='Antivirus/360ts.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\360TotalSecurity\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\360TotalSecurity\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onclick[pn]='deselectOtherAntivir('+pn+')';
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;


// Tencent
prog[pn]='Tencent PC Manager';
version[pn]='12.3';
cat[pn]=startpack_Antivirus;
cmd1[pn]='Antivirus/Tencent.exe';
cmd2[pn]='/S';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\QQPCMgr\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\QQPCMgr\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onclick[pn]='deselectOtherAntivir('+pn+')';
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;




//// Other ////


// Classic Shell
prog[pn]='Open-Shell';
version[pn]='4.4.141';
cat[pn]=startpack_Other;
cmd1[pn]='Other/Open-Shell.exe';
cmd2[pn]='/quiet';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FC1C9D12-D4F8-4AC5-96B8-096254CCCF0A\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\FC1C9D12-D4F8-4AC5-96B8-096254CCCF0A\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;





// Punto Switcher
prog[pn]='Punto Switcher';
version[pn]='4.4.4.489';
cat[pn]=startpack_Other;
cmd1[pn]='Other/PuntoSwitcher.exe';
cmd2[pn]='/passive /norestart';
if (is64){
	check[pn]='HKLM\\SOFTWARE\\Wow6432Node\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{57B1BFB9-44BD-4190-954C-37ABB193A557}\\DisplayName';
} else {
	check[pn]='HKLM\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall\\{57B1BFB9-44BD-4190-954C-37ABB193A557}\\DisplayName';
}
defaul[pn]=false;
wshow[pn]=true;
onCompleteInst[pn]='defaul['+pn+']=false;';
pn++;